Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 156946

Summary: 'Internal Compiler Error' while compiling the source
Product: [Fedora] Fedora Reporter: charudatt Kadolkar <charu>
Component: gcc34Assignee: Jakub Jelinek <jakub>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 3   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: 4.0.0-4 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-10 09:33:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Preprocessed source file. none

Description charudatt Kadolkar 2005-05-05 16:17:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2) Gecko/20040805 Netscape/7.2

Description of problem:
While compiling a program, we got the following output.

cc -O3 bilayertj_properties.c -obtj.out -lm -llapack -lblas -lg2c
bilayertj_properties.c: In function `getHopProby':
bilayertj_properties.c:2188: internal compiler error: in find_function_data, at function.c:315
Please submit a full bug report,


Version-Release number of selected component (if applicable):
cc (GCC) 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)

How reproducible:
Always

Steps to Reproduce:
1.Just compile with the command given in description. I am attaching the preprocessed source.
2.
3.
  

Additional info:

Comment 1 charudatt Kadolkar 2005-05-05 16:21:53 UTC
Created attachment 114060 [details]
Preprocessed source file.

Comment 2 Jakub Jelinek 2005-05-10 09:33:29 UTC
There are bugs in the VLA support in 3.4.x, fixed in GCC 4.0, but not feasible
for backporting.  Furthermore, in your testcase the use of VLAs in arguments
is completely useless.

Comment 3 charudatt Kadolkar 2005-05-11 03:41:16 UTC
(In reply to comment #2)
> There are bugs in the VLA support in 3.4.x, fixed in GCC 4.0, but not feasible
> for backporting.  Furthermore, in your testcase the use of VLAs in arguments
> is completely useless.

Thank you. We will change the code to remove VLA. However, we had successfully
compiled this code under 3.2 and obtained some results(These are time consuming
calculations). Now, should we trust those results? 
Please accept our apology if we are not supposed to ask such questions here.